commit 051c2601ecc35864cad6172db8387b64951cf859
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 1 22:15:25 2023 +0100

    poppler 23.03.0

 CMakeLists.txt   | 2 +-
 NEWS             | 8 ++++----
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 5 files changed, 8 insertions(+), 8 deletions(-)

commit 083662257ff626d6d3454a37b70928a62990c7ad
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 4 11:32:08 2023 +0100

    Update (C)

 goo/PNGWriter.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 329ec39cb876f0d4137eff4fbb5e4ce37601b71a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Feb 2 23:43:52 2023 +0100

    PngWriter: Fix uninitialized memory use

    When just created and deleted without having called init()

 goo/PNGWriter.cc | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 7673e1fd712416a5d65406d7447a1c3d5ada057b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 1 17:42:42 2023 +0100

    poppler 23.02.0

 CMakeLists.txt   |  2 +-
 NEWS             | 16 +++++++++++++++-
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 19 insertions(+), 5 deletions(-)

commit 06a0e17bd9387da0a9737f6ce945482930d98341
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 26 19:07:58 2023 +0100

    Update (C)

 poppler/CairoOutputDev.cc | 1 +
 1 file changed, 1 insertion(+)

commit 1327646900994c033155100adf7bbaad7654ff50
Author: Artemy Gordon <artemy.gordon@gmail.com>
Date:   Thu Jan 26 18:01:09 2023 +0000

    Add handling matte entry in cairo backend

 poppler/CairoOutputDev.cc | 47
 ++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 42 insertions(+), 5 deletions(-)

commit 5f76a61237db0fe26bb2ac41ac41d20670d985a3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 26 00:27:47 2023 +0100

    Update (C)

 poppler/CairoFontEngine.cc | 2 +-
 poppler/CairoOutputDev.cc  | 2 +-
 poppler/CairoOutputDev.h   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 53115a05b7b4480ef06165199c8f1cb3982ab13d
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Jan 3 10:13:52 2023 +1030

    Fix cairo rendering of color type 3 fonts

    The bug fix in 448f03cf needs to be disabled for color fonts.

 poppler/CairoFontEngine.cc |  2 +-
 poppler/CairoOutputDev.cc  |  6 +++---
 poppler/CairoOutputDev.h   | 12 +++++++++---
 3 files changed, 13 insertions(+), 7 deletions(-)

commit da39bd930fee9369071a97b93ffe3ea0987acedc
Author: Tobias Deiminger <tobias.deiminger@posteo.de>
Date:   Tue Jan 3 00:25:57 2023 +0100

    Point out pdfsig supports PKCS#11 URIs as nickname

    NSS "just works" with PKCS#11 URIs since 3.39. See
    https://bugzilla.mozilla.org/show_bug.cgi?id=1475274
    for details.

    IMO we should expose that as feature. It's a standardized NSS-agnostic
    way to identify certificate objects, and allows to disambiguate
    certificates in any case.

 utils/pdfsig.1 | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 63bfacc89576345722cf3cefb962861aa7d159b8
Author: Tobias Deiminger <tobias.deiminger@posteo.de>
Date:   Wed Jan 4 21:26:12 2023 +0100

    Fix "NSS could not shutdown"

    SignatureHandler never freed it's signing certificate. This left
    an internal NSS reference that prevented cleanup of the NSS cache,
    causing "NSS could not shutdown".

    NSS maintains an internal in-memory cache, where content is reference
    counted. PK11_MakeCertFromHandle increases the issuerAndSn count.
    CERT_DestroyCertificate decreases it. NSS tries to destruct the
    cache in
    NSS_Shutdown, which we've scheduled with atexit. There it detects a
    remaining reference.

    Fixes #1326.

 poppler/SignatureHandler.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 924ef4264cdb0eca97185d7fc1791bcf32279933
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 9 22:52:01 2023 +0100

    Update (C)

 poppler/SignatureHandler.cc | 1 +
 1 file changed, 1 insertion(+)

commit 4f8c8297d7190480500cdafe52c8777202229b30
Author: Tobias Deiminger <tobias.deiminger@posteo.de>
Date:   Mon Jan 9 21:00:06 2023 +0100

    Fix segfault on wrong nssdir

    If SignatureHandler was used with a custom DB directory, but that
    directory didn't exist or contained no valid DB, NSS crashed on
    subsequent calls.

    We can prevent crashes by calling NSS_NoDB_Init (as it's already
    done in
    the default-DB case).

    Fixes #1331.

 poppler/SignatureHandler.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4259ff0c2067d302f97d87221a442eec8e88d45c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 1 13:24:17 2023 +0100

    poppler 23.01.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 18 ++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 23 insertions(+), 5 deletions(-)

commit 2e3bf1476558d11a72b9f3e574eb28bb6ab2ad66
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 1 13:11:30 2023 +0100

    Welcome 2023

 poppler/poppler-config.h.cmake | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f0276bbc5f7f7b4fefa956d8893ee23c13226e2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 31 01:01:08 2022 +0100

    CI: Cheat a bit in the build_clang14_libcpp build

 .gitlab-ci.yml           | 3 ++-
 qt6/tests/CMakeLists.txt | 4 +++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 43e2da4ade60f7e6c62b4d70f15d603327ca7b2b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 30 23:49:15 2022 +0100

    Update (C)

 poppler/CairoOutputDev.cc | 1 +
 1 file changed, 1 insertion(+)

commit 7d14f465a6441f3df4389df375b154687e1fdb6b
Author: Zachary Travis <ztravis@everlaw.com>
Date:   Fri Aug 13 20:33:35 2021 -0700

    Ignore text rendering mode for type3 fonts

 poppler/CairoOutputDev.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit f9d958ddee1e9a77d41c80793fd20ce5299f08ef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 27 09:38:55 2022 +0100

    Gfx::opBeginMarkedContent: Support Span with Name

    Issue #1327

 poppler/Gfx.cc | 23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

commit 7dda4190b273edb2c5d74b7f5bc7cc77c49c9dbb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 14 23:12:56 2022 +0100

    Update (C)

 poppler/SplashOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eac1066f60df2442c5508fb1601fa6a331cac7a0
Author: Thomas Freitag <thomas.freitag.bbr@gmail.com>
Date:   Wed Dec 14 22:05:33 2022 +0000

    Splash: avoid problems because of implicit rounding in non-separable
    blend modes

    Splash uses unsigned char to store color pixel. But in non-separable
    blend modes int and in some calculations float values are used. To
    avoid rounding problems because of implicit rounding calculations
    are now done with int values and when storing int values in unsigned
    char variables clamp is used!

 poppler/SplashOutputDev.cc | 51
 ++++++++++++++++------------------------------
 1 file changed, 17 insertions(+), 34 deletions(-)

commit 065dca3816db3979dfacdc2f8592abed2ff6859a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 13 22:31:20 2022 +0100

    FoFiType1::parse: Be more flexible parsing the encoding content

    Don't force it to be on a single line.

    Fixes #1324

 fofi/FoFiType1.cc | 203
 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 113 insertions(+), 90 deletions(-)

commit a9e1987591ed3896e18a81d0b66f65adf66f41cb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 13 00:48:59 2022 +0100

    Remove unused FoFiType1::load function

 fofi/FoFiType1.cc | 11 -----------
 fofi/FoFiType1.h  |  5 +----
 2 files changed, 1 insertion(+), 15 deletions(-)

commit a563801e1a6be5e70645472d82f4ba8534b454d1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 12 23:40:24 2022 +0100

    PDFDoc::sign: Find Arial to sign if Helvetica isn't found

    At least on my Windows install Helvetica isn't found and signing thus
    fails

 poppler/PDFDoc.cc | 25 ++++++++++++++++++++-----
 1 file changed, 20 insertions(+), 5 deletions(-)

commit 09fdfecea3a13d30b5c52e1258d17549739d9ea8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 12 23:28:55 2022 +0100

    PDFDoc::sign: Fix crash if font can't be found

 poppler/PDFDoc.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 6a19713ca8473c14905bd25d719757df5987d93b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 4 11:43:16 2022 +0100

    cmake: A more bit of include tweaking

 test/CMakeLists.txt  | 5 -----
 utils/CMakeLists.txt | 2 --
 2 files changed, 7 deletions(-)

commit 49a883dfac1a92fd959a1421627279aec26dcbb9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 4 03:57:01 2022 +0100

    cmake: Make sure cairo includes are complete

 cmake/modules/FindCairo.cmake | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9bd49f486ed8442943a08cfee42136a5575c6a1b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 4 03:22:52 2022 +0100

    cmake: Add CAIRO_INCLUDE_DIRS to the appropriate targets

 glib/CMakeLists.txt  | 1 +
 test/CMakeLists.txt  | 3 +++
 utils/CMakeLists.txt | 1 +
 3 files changed, 5 insertions(+)

commit 821784a6f08adfbb5211d665389acc275e035e84
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 4 03:02:30 2022 +0100

    cmake: Add missing LCMS2_INCLUDE_DIR

 qt5/src/CMakeLists.txt | 1 +
 qt6/src/CMakeLists.txt | 1 +
 utils/CMakeLists.txt   | 3 +++
 3 files changed, 5 insertions(+)

commit 77d1660d6b6777a434a4c09f6c781999ab7ce0a8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 4 02:42:15 2022 +0100

    cmake: include dirs via target_include_directories

    instead of include_directories

 CMakeLists.txt | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit b1fe3a03c0bfdc4df6d8dd5d128b928d3cb2ea89
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 4 02:20:27 2022 +0100

    cmake: nss: Fix typo and remove "deprecated" variables

 cmake/modules/FindNSS3.cmake | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 46b185c25472cb1cb90b9f83229a920fd638fd02
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 4 02:17:56 2022 +0100

    Increase our minimum supported NSS to that of Ubuntu 20.04 too

 cmake/modules/FindNSS3.cmake | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2944c16a1ac7da0aaf9cb351ff664585968d8356
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 2 22:55:51 2022 +0100

    Fix crash on broken documents

    Issue #1320

 splash/Splash.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 54c93aade58b60699c0bf2c7962c274b6e6f7772
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 1 22:56:16 2022 +0100

    Qt6: Less deprecated functions

 qt6/src/poppler-annotation.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 40c737a450153bdde180e0ee6e069a08c8e04dc4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 1 22:08:40 2022 +0100

    CI: Install Qt 6.2 in build_ubuntu_20_04

    now that the other systems ship Qt 6.3 or newer we need at least
    one CI
    with our minimum required Qt

 .gitlab-ci.yml | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit df3746fa4c9413422bb70dbbb61108922a7fddc9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 29 00:58:42 2022 +0200

    cmake: Check we have a new enough libjpeg

 CMakeLists.txt | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit d5ea5a24124badf2b32a7d08dd2c06a4a40f93fb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Mar 8 14:32:54 2022 +0100

    Increase Minimum supported base to that provided by Ubuntu 20.04

 .gitlab-ci.yml                     |  4 +--
 CMakeLists.txt                     | 58
 +++++++++++++++++++---------------
 cmake/modules/FindFontconfig.cmake | 52 -------------------------------
 cmake/modules/FindIconv.cmake      | 64
 --------------------------------------
 cpp/CMakeLists.txt                 |  3 +-
 poppler/GfxFont.cc                 | 14 ++++-----
 qt5/CMakeLists.txt                 |  2 +-
 7 files changed, 44 insertions(+), 153 deletions(-)

commit df568263c51950ceed6f1fb42f80e99a2614c275
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 1 21:19:03 2022 +0100

    poppler 22.12.0

 CMakeLists.txt   | 4 ++--
 NEWS             | 4 ++++
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 5 files changed, 9 insertions(+), 5 deletions(-)

commit 198dc1d0674c0a462668e6868c35b1ee0e731005
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 7 01:12:35 2022 +0200

    Form::addFontToDefaultResources: Be stubborn in finding a font we
    can use

    Fixes #1272

 poppler/Form.cc            | 14 ++++++++++---
 poppler/GlobalParams.cc    | 52
 ++++++++++++++++++++++++++--------------------
 poppler/GlobalParams.h     |  6 +++---
 poppler/GlobalParamsWin.cc |  4 ++--
 4 files changed, 46 insertions(+), 30 deletions(-)

commit a5952ab70716a2d4f792a943c2dcf3068f1d6885
Author: Jeremy Bicha <jeremy.bicha@canonical.com>
Date:   Wed Nov 2 15:03:24 2022 +0100

    Revert "CI: Fix Debian brokenness"

    This reverts commit 8fcaa7c622d24761a9ecb3922f95d072077d6f34.

    Debian's systemd 252-2 fixed the bug in 252-1

 .gitlab-ci.yml | 1 -
 1 file changed, 1 deletion(-)

commit 8fcaa7c622d24761a9ecb3922f95d072077d6f34
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 1 10:11:41 2022 +0100

    CI: Fix Debian brokenness

 .gitlab-ci.yml | 1 +
 1 file changed, 1 insertion(+)

commit cc665f757af6b87dd245d36e079dd44d8d2d2182
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 1 09:40:01 2022 +0100

    poppler 22.11.0

 CMakeLists.txt   | 2 +-
 NEWS             | 6 ++++++
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 5 files changed, 10 insertions(+), 4 deletions(-)

commit a296982e1d5b4968b2bd044d80647ae6f9267526
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 30 09:52:57 2022 +0100

    Do not include a poppler/ file from a splash/ header

    In general we should not include them at all, neither from the .cc
    files, but at least keeping the .h clean is a step

 splash/Splash.cc             | 1 +
 splash/SplashBitmap.cc       | 1 +
 splash/SplashBitmap.h        | 6 ++++--
 splash/SplashXPathScanner.cc | 3 ++-
 utils/pdftoppm.cc            | 2 +-
 5 files changed, 9 insertions(+), 4 deletions(-)

commit bc4a0d9a2abfcd75d9b0ee4be3f7600905fe6001
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Jun 24 22:01:27 2022 +0200

    Form: Provide Unicode marker when ensuring fonts

    Form::ensureFontsForAllCharacters() needs input text with Unicode
    marker.
    Provide such in FormFieldText::setContentCopy().

 poppler/Form.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 111f38a722eedddd94faa52dda8c5e0da561fb41
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Jun 24 22:00:09 2022 +0200

    Cairo: Update font after restore

    Update font after restore (Q operator) if font has changed.
    This is important when entering text into forms if there
    are characters shown by default font after characters
    which needed new font.

    New method getRef() where added to CairoFont class to
    be able to easily compare fonts.

 poppler/CairoFontEngine.h | 3 +++
 poppler/CairoOutputDev.cc | 7 ++++++-
 poppler/CairoOutputDev.h  | 2 ++
 3 files changed, 11 insertions(+), 1 deletion(-)

commit 907d05a6a141284aee22fbd16ab0a2fb4e0f2724
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 19 21:30:05 2022 +0200

    Fix crash in file that wants to do huge transparency group

    huge = 2147483016 x 2

    Issue #1305

 splash/SplashBitmap.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e53f5aae3bce7d09788f2ad62be998895fb9807b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 19 21:15:29 2022 +0200

    PSOutputDev::setupResources: Fix stack overflow in malformed doc

    Issue #1304

 poppler/PSOutputDev.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit a4ca3a96a6b1f65b335a1ea362e6c202e46ae055
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 19 15:51:43 2022 +0200

    topIdx can't be negative

    Fixes crash on broken files. Issue #1303

 poppler/Form.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit e471f8e09bf2e38df0cf5df1acecbcca70685573
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 16 12:25:34 2022 +0200

    Init all the fields of JPXStreamPrivate

    oss-fuzz/52372

 poppler/JPEG2000Stream.cc | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 5190c0d4369bd9f501922585140be4ec736e24f2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 16 12:21:59 2022 +0200

    No need to store smaskInData in priv

 poppler/JPEG2000Stream.cc | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit 6263bb90b09326103b10e4c4edfbc5b84c884921
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 16 12:07:12 2022 +0200

    Page label ranges can't start in < 0

    oss-fuzz/52140

 poppler/PageLabelInfo.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 2b65dde7b0e402127b664aa1802ab990d59995b5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 3 18:11:20 2022 +0200

    poppler 22.10.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 18 ++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 23 insertions(+), 5 deletions(-)

commit 0ee0a90061abdd8858b1b6141f0e705088df29e9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 27 01:07:13 2022 +0200

    SplashOutputDev::tilingPatternFill: Properly restore CTM on failure

    Fixes issue #1292

 poppler/SplashOutputDev.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 315ab3006fb24bf47b595343e6a3e90995f2a588
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 17 10:28:00 2022 +0200

    CI: Update Fedora CI to 37, it's close enough to the release date

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 098b8622cc804c9fd41e2a56fbb2e116226b22b3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 15 23:32:48 2022 +0200

    Update (C)

 goo/GooString.cc  | 2 +-
 goo/GooString.h   | 2 +-
 poppler/PDFDoc.cc | 2 +-
 poppler/PDFDoc.h  | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit d6b7ef8794bad35366257e2644843f686326f4df
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Thu Sep 15 16:19:19 2022 +0200

    Remove the psmode argument from GooString::sanitizedName

    It is always 'false'.

 goo/GooString.cc  | 12 +-----------
 goo/GooString.h   |  3 +--
 poppler/PDFDoc.cc |  4 ++--
 3 files changed, 4 insertions(+), 15 deletions(-)

commit 48974ec48f6e42084d0ff98f546e7211949f5d39
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Thu Sep 15 16:02:07 2022 +0200

    Fix typos in method names

    'dictionary' has only one 'n'.

 poppler/PDFDoc.cc | 24 ++++++++++++------------
 poppler/PDFDoc.h  |  4 ++--
 2 files changed, 14 insertions(+), 14 deletions(-)

commit be94b9c1d46db29592817d4afda63d9733b70b36
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 13 22:32:10 2022 +0200

    pdftotext: Simplify memory handling

 utils/pdftotext.cc | 112
 ++++++++++++++++++++---------------------------------
 1 file changed, 43 insertions(+), 69 deletions(-)

commit 7441d79e31de909954675a76d33ccb25147cf0ff
Author: Claes Nästén <pekdon@gmail.com>
Date:   Tue Jan 18 21:26:29 2022 +0100

    Replace parts of font parsing code with std::string alternative

    strndup is not available on all platforms, instead of adding a compat
    variant use std::string functionality for parsing instead.

 poppler/GlobalParams.cc | 80
 ++++++++++++++++++++++---------------------------
 1 file changed, 36 insertions(+), 44 deletions(-)

commit 2cd23e7e6de1e854e22c7fd666a9167a58662211
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 7 01:03:57 2022 +0200

    Update (C)

 utils/pdftocairo.cc | 1 +
 utils/pdftoppm.cc   | 1 +
 2 files changed, 2 insertions(+)

commit 756ab7a061f505722a92efdeb61765311d00e313
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 21 19:41:22 2022 +0200

    JBIG2Stream::readPatternDictSeg: Protect against some overflow

 poppler/JBIG2Stream.cc | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 119af9e894a928d9bad7d4f9e1681e54c9923439
Author: James Cloos <cloos@jhcloos.com>
Date:   Tue Aug 9 23:37:07 2022 +0200

    Avoid round-off errors when determining raster dimensions.

    The code in pdftoppm.cc and pdftocairo.cc carefully avoided overflow
    when converting page sizes from points to pixels.

    This worked well when the math was performed at extended precision,
    as is done when using x387 opcodes, but could lead to results too
    large by a ulp when computed without extra precision.

    The code then needs to call ceil(3) to round fractional results up
    to the next larger integer, resulting in an off-by-one error if the
    computed size is even one ulp more than an integer.

    The initial size is already a multiple of 72, so rearranging the math
    to multiply before dividing by 72 avoids that imprecision.

    Issue #253

 utils/pdftocairo.cc | 2 +-
 utils/pdftoppm.cc   | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit d06eb33d1668ca3a08055bd033d8f5ea725e5be7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 12 23:29:01 2022 +0200

    qt: Also take into account flagNoView when getting/setting the
    visible status

    KDE bug #456313

 qt5/src/poppler-form.cc | 10 +++++++++-
 qt6/src/poppler-form.cc | 10 +++++++++-
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 9e0d0e65261384bde8cb7f1932738bbeb19d3292
Author: Carlo Cabrera <30379873+carlocab@users.noreply.github.com>
Date:   Thu Sep 1 13:18:39 2022 +0800

    Fix `sed` invocation.

    The current `sed` call works only for GNU sed. We can fix that
    by using
    the `-e` flag.

 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4602cac96104b74037862e223bb774be26bfd67c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 1 00:30:57 2022 +0200

    poppler 22.09.0

 CMakeLists.txt     |  4 ++--
 NEWS               | 19 +++++++++++++++++++
 cpp/CMakeLists.txt |  2 +-
 cpp/Doxyfile       |  2 +-
 qt5/src/Doxyfile   |  2 +-
 qt6/src/Doxyfile   |  2 +-
 6 files changed, 25 insertions(+), 6 deletions(-)

commit 0c9bfb401780d6e05adba58e03c3dbdfa44c9895
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Aug 31 11:07:14 2022 +0200

    Store 'gfx' as a std::unique_ptr

    Otherwise it will leak if charProc is not a stream (line 488).

    Found by

      https://sonarcloud.io/project/overview?id=tsdgeos_poppler_mirror

 poppler/CairoFontEngine.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 9a3d991e62ba936495780007132299d73f3d603b
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Aug 31 11:05:18 2022 +0200

    Fix copy'n'paste bug in the check for bounding box correctness

    Found by

      https://sonarcloud.io/project/overview?id=tsdgeos_poppler_mirror

 glib/tests/CMakeLists.txt | 2 +-
 glib/tests/check_bb.c     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c4cc5650067d4aca26091d187fb464eaee54bef0
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Tue Aug 30 14:30:34 2022 +0200

    Store destination_private in a std::unique_ptr

    This simplifies the code a bit.

    It also fixes a 'code smell' found by

      https://sonarcloud.io/project/overview?id=tsdgeos_poppler_mirror

 cpp/poppler-destination.cpp | 16 +++-------------
 cpp/poppler-destination.h   |  4 +++-
 2 files changed, 6 insertions(+), 14 deletions(-)

commit eb6b42a12a81cdf84b64db9e4e44b5158dcb8a3a
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Tue Aug 30 14:26:43 2022 +0200

    Make noncopyable objects move-assignable

    Move-assignment needs to be allowed explicitly, because
    otherwise derived classes that implement operator=(&&)
    will try to use noncopyable::operator=(&), which is
    not allowed.

 cpp/poppler-global.cpp | 3 +++
 cpp/poppler-global.h   | 2 ++
 2 files changed, 5 insertions(+)

commit 4f7ae5bbcf10e8eec44e08b885504a1115fb05a4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 31 00:05:27 2022 +0200

    Update (C)

 poppler/Annot.cc            | 1 +
 poppler/PDFDoc.cc           | 1 +
 poppler/SignatureHandler.cc | 1 +
 3 files changed, 3 insertions(+)

commit 5c3cbea4044fed263fe5e34d911e9db85d55bdf4
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Thu Aug 4 10:31:16 2022 -0600

    SignatureHandler: Fix getSignerName when signing_cert is available
    but CMSSignerInfo is not

 poppler/SignatureHandler.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 8452b0dee6b5267e785bf6dea4d7b537a4cfb637
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Sat Jul 30 15:40:08 2022 -0600

    Form: When signing with an appearance, ensure that a Form exists

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2beb458226509c3babd78e658e1a8ac72ccfb2b8
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Sat Jul 30 10:27:23 2022 -0600

    Annot: Fix applying signatures to fields that are not part of a form

 poppler/Annot.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 977dd2171fc3cf91d4a9d5855e379c39df8ee77e
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Fri Jul 29 17:04:36 2022 -0600

    PDFDoc: Fix finding signature fields not associated with a form

 poppler/PDFDoc.cc | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 6b5437a07535d5fd07c114e71c2cbff9b2a2f454
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 29 00:45:19 2022 +0200

    Fix memory leak in TextStringToUTF8

 utils/pdfsig.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 27354e9d9696ee2bc063910a6c9a6b27c5184a52
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 25 00:14:22 2022 +0200

    JBIG2Stream: Fix crash on broken file

    https://github.com/jeffssh/CVE-2021-30860

    Thanks to David Warren for the heads up

 poppler/JBIG2Stream.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 619bfc1f280eed11523e6f8756460ed2598769b9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 23 22:31:24 2022 +0200

    cmake: Better linking against GTK3

 glib/demo/CMakeLists.txt  | 7 -------
 glib/tests/CMakeLists.txt | 7 +------
 test/CMakeLists.txt       | 9 ++-------
 3 files changed, 3 insertions(+), 20 deletions(-)

commit 5bec49749b9a2a9b4779a977f673531b42470264
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 19 22:20:17 2022 +0200

    We can use isnan now

 poppler/Function.cc               | 4 ++--
 poppler/MarkedContentOutputDev.cc | 6 +++---
 poppler/TextOutputDev.cc          | 3 +--
 3 files changed, 6 insertions(+), 7 deletions(-)

commit 03c7bbd6216cbfac257243b59453084f5f52e354
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 19 18:52:11 2022 +0200

    JBIG2Stream::readHalftoneRegionSeg: Fix potential memory leak

 poppler/JBIG2Stream.cc | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit d1b1535af673170c5e094b924dd3cc122890270e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 19 18:41:38 2022 +0200

    pdfunite: Fix potential memory leak of docs

 utils/pdfunite.cc | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 99889f51e95169c4946f3bbd74adb317bf3b64a9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 19 18:38:06 2022 +0200

    glib: Fix two potential memory leaks in
    poppler_document_create_dests_tree

 glib/poppler-document.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit efb68686784f0c58668b7ced990fd173e09346db
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 18 23:41:24 2022 +0200

    pdfunite: Don't crash in broken documents

 utils/pdfunite.cc | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit b976740c3dfb8e29ee716a9ab19ba5bb4106f5a0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 19 13:41:27 2022 +0200

    CI: remove workarounds for cmake 3.24.0

    now that they have 3.24.1

 .gitlab-ci.yml           |  4 ++--
 CMakeLists.txt           |  6 ------
 qt5/tests/CMakeLists.txt | 24 ------------------------
 qt6/tests/CMakeLists.txt | 24 ------------------------
 4 files changed, 2 insertions(+), 56 deletions(-)

commit c569e5d819de1e53813ebd8409e57c297d069537
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 13 18:55:57 2022 +0200

    Add (C)

 poppler/PDFDoc.h | 1 +
 1 file changed, 1 insertion(+)

commit 4564a002bcb6094cc460bc0d5ddff9423fe6dd28
Author: crt <chluo@cse.cuhk.edu.hk>
Date:   Sat Aug 13 16:53:11 2022 +0000

    pdfunite: Fix crash on broken files

 poppler/PDFDoc.cc | 6 +++++-
 poppler/PDFDoc.h  | 2 +-
 utils/pdfunite.cc | 9 ++++++++-
 3 files changed, 14 insertions(+), 3 deletions(-)

commit c9c5eb782a8820f328dc32bcaf74d7f0b2cb6d7a
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Sun Aug 7 10:49:00 2022 +0200

